package com.reyun.service;

import com.reyun.model.Account;
import com.reyun.model.ExportReportInfo;

import java.util.List;

public interface ExportReportInfoService {

    ExportReportInfo save(ExportReportInfo exportReport);

    void delete(Long id);

    List<ExportReportInfo> findByApp(Account loginAccount, Long app);

    boolean validFileName(ExportReportInfo exportReport);

    int updateStatus(Long id, String status, Long account);

    int updateStatus(Long id, String status);

    int updateDownloadInfo(Long downloadId, Account account, String downloadIp);

    ExportReportInfo findOne(Long id);

    List<ExportReportInfo> findExport2Deal();

    List<ExportReportInfo> findInvalidExportList();
}
